/**
 * Represents a filter that can be applied to a rectangular array of pixels.
 */
public interface PixelBufferFilter {
	/**
	 * @param width		width of the pixel buffer
	 * @param height	height of the pixel buffer
	 * @param pixels	the pixel buffer;
	 * 					each element of the array corresponds to one pixel (usually in ARGB format);
	 * 					pixels are arranged in left-to-right, top-to-bottom fashion
	 */
	public void filter(int width, int height, int[] pixels);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}