/**
 * Represents a filter that can be applied to any individual pixel, irrespective of its location.
 */
public interface PixelFilter {
	/**
	 * @param pixel		the original unfiltered pixel (usually in ARGB format)
	 * @return			the filtered pixel (in the same format as the original pixel)
	 */
	public int filter(int pixel);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}