public class HorizontalFlipFilter implements PixelBufferFilter {
	// ### FILTER ###
	
	public void filter(int width, int height, int[] pixels) {
		int rowOffset = 0;
		int midX = width/2;
		for (int y=0; y<height; y++, rowOffset+=width) {
			int leftPixelOff = rowOffset;
			int rightPixelOff = rowOffset + width - 1;
			for (int x=0; x<midX; x++, leftPixelOff++, rightPixelOff--) {
				// Swap pixels[leftPixelOff] with pixels[rightPixelOff]
				int leftPixel = pixels[leftPixelOff];
				pixels[leftPixelOff] = pixels[rightPixelOff];
				pixels[rightPixelOff] = leftPixel;
			}
		}
	}
	
	public String toString() {
		return "Horizontal Flip";
	}
}